# Pair List Representation of Secondary Structures

  Defines

  VRNA_PLIST_TYPE_BASEPAIR
    #include <ViennaRNA/utils/structures.h>

    A Base Pair element.

  VRNA_PLIST_TYPE_GQUAD
    #include <ViennaRNA/utils/structures.h>

    A G-Quadruplex element.

  VRNA_PLIST_TYPE_H_MOTIF
    #include <ViennaRNA/utils/structures.h>

    A Hairpin loop motif element.

  VRNA_PLIST_TYPE_I_MOTIF
    #include <ViennaRNA/utils/structures.h>

    An Internal loop motif element.

  VRNA_PLIST_TYPE_UD_MOTIF
    #include <ViennaRNA/utils/structures.h>

    An Unstructured Domain motif element.

  VRNA_PLIST_TYPE_STACK
    #include <ViennaRNA/utils/structures.h>

    A Base Pair stack element.

  VRNA_PLIST_TYPE_UNPAIRED
    #include <ViennaRNA/utils/structures.h>

    An unpaired base.

  VRNA_PLIST_TYPE_TRIPLE
    #include <ViennaRNA/utils/structures.h>

    One pair of a base triplet.

  Typedefs

  typedef struct vrna_elem_prob_s vrna_ep_t
    #include <ViennaRNA/utils/structures.h>

    Convenience typedef for data structure vrna_elem_prob_s.

  Functions

  vrna_ep_t *vrna_plist(const char *struc, float pr)
    #include <ViennaRNA/utils/structures.h>

    Create a vrna_ep_t from a dot-bracket string.

    The dot-bracket string is parsed and for each base pair an entry in the plist is created. The probability of each pair in the list is set by a function parameter.

    The end of the plist is marked by sequence positions i as well as j equal to 0. This condition should be used to stop looping over its entries

    Parameters:

      - struc – The secondary structure in dot-bracket notation

      - pr – The probability for each base pair used in the plist

    Returns:

      The plist array

  struct vrna_elem_prob_s
    #include <ViennaRNA/utils/structures.h>

    Data structure representing a single entry of an element probability list (e.g. list of pair probabilities)

    VRNA_PLIST_TYPE_BASEPAIR, VRNA_PLIST_TYPE_GQUAD, VRNA_PLIST_TYPE_H_MOTIF, VRNA_PLIST_TYPE_I_MOTIF, VRNA_PLIST_TYPE_UD_MOTIF, VRNA_PLIST_TYPE_STACK

    See also

    vrna_plist(), vrna_plist_from_probs(), vrna_db_from_plist(),

    Public Members

    int i

      Start position (usually 5’ nucleotide that starts the element, e.g. base pair)

    int j

      End position (usually 3’ nucleotide that ends the element, e.g. base pair)

    float p

      Probability of the element.

    int type

      Type of the element.